# Retrieve Transactions source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/transactions-and-fees-management/retrieve-transactions/index.md ## Test case -- Success {#test-case--success} This test case describes retrieving transactions for a specified contract (account contract or card contract). Note: In this test case, the response is limited by default to one record but you can enter a different value (up to 15) in `limit` and `offset` query parameters in the request to test the pagination. For this test case, use the following information in the request:
| Query parameter | Available value | |--------------------------|-----------------| | `transaction_type_codes` | 0515 | | | 0719 | **Sample request** `GET /contracts/70001/transactions?date_from=2031-06-25&date_to=2031-09-25&offset=0&limit=1&authorized=Y&authorization_filter_mode=A&transaction_type_codes= 0719,0515` **Sample response** `200` ```JSON { "count": 1, "limit": 1, "offset": 0, "total": 15, "transactions": [ { "accountCurrency": "EUR", "accountCurrencyNumericCode": "978", "arn": "06116638346121300000317", "authorizationCode": "179651", "authorized": true, "authorizationId": 3177523, "baseAmount": 1567.23, "customTransactionData": [ { "tagName": "TAG_NAME_1", "tagValue": "TAG_VALUE_A" } ], "customTransactionCondition": "ATMC", "customTransactionTypeCode": "IBF", "feeAmount": 910.18, "feeDescription": "2.00 (EUR)", "financialDocumentId": 1254151, "fxRate": "PS Rate: 0.203 (PLN -> EUR)", "installmentChainId": 261983, "installmentPlanStatus": "Inactive", "mcc": "6011", "mccDescription": "6011 ATM", "merchantCountry": "USA", "merchantLocation": "BERLIN", "merchantName": "DESC", "postingDate": "2031-06-25", "responseCode": 0, "responseCodeDescription": "Successfully completed", "rrn": "212357021766", "serviceClassCode": "M", "settlementAmount": 128, "settlementCurrency": "EUR", "settlementCurrencyNumericCode": "978", "sourceContractCbsNumber": "CBS83863371812033", "sourceContractId": 70001, "sourceContractNumber": "871818______0074", "srn": "122357012766", "targetContractCbsNumber": "CBS83863371812033", "targetContractId": 54023689, "targetContractNumber": "161212______0128", "tokenNumberSafe": "161212______0128", "transactionAmount": 471.9, "transactionCurrency": "EUR", "transactionCurrencyNumericCode": "978", "transactionDate": "2031-06-25T12:00:00Z", "transactionDescription": "Payment From Client Contract", "transactionId": 90001, "transactionStatus": "Reversed", "transactionType": "ATM", "transactionTypeCode": "13", "walletId": "103" } ] } ``` ## Test case -- Success -- No transactions {#test-case--success--no-transactions} This test case describes retrieving transactions for a specified contract (account contract or card contract) that does not have any transactions in the declared timeframe. For this test case, use the following information in the request: | Path parameter | Available value | |----------------|-----------------| | `contract_id` | 45001 | **Sample request** `GET /contracts/45001/transactions?date_from=2031-06-25&date_to=2031-09-25&offset=0&limit=1` **Sample response** `200` ```JSON { "count": 0, "limit": 1, "offset": 0, "total": 0, "transactions": [] } ```